package com.zanxiang.game.back.serve.pojo.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum BackUnitEnum {
    /**
     * 未回传
     */
    UNIT_ONCE(1),
    /**
     * 回传成功
     */
    UNIT_DAY(2);

    private final Integer value;

    BackUnitEnum(Integer value) {
        this.value = value;
    }

    public static BackUnitEnum getByValue(Integer value) {
        if (value == null) {
            return null;
        }
        for (BackUnitEnum backUnit : BackUnitEnum.values()) {
            if (Objects.equals(backUnit.getValue(), value)) {
                return backUnit;
            }
        }
        return null;
    }
}
